## ros-one-moveit-task-constructor-core 0.1.4-0jammy.20251023.1732

=== debian/changelog ===
ros-one-moveit-task-constructor-core (0.1.4-0jammy.20251023.1732) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Goerner <me@v4hn.de>  Thu, 23 Oct 2025 17:32:28 +0000

ros-one-moveit-task-constructor-core (0.1.4-0jammy) jammy; urgency=high

  * Avoid duplicate scenes in Solution.msg from generator stages (#639 <https://github.com/moveit/moveit_task_constructor/issues/639>)
  * Allow max Cartesian link speed in PlannerInterface (#277 <https://github.com/moveit/moveit_task_constructor/issues/277>)
  * Enable collisions visualizations (#708 <https://github.com/moveit/moveit_task_constructor/issues/708>)
  * LimitSolutions wrapper stage (#710 <https://github.com/moveit/moveit_task_constructor/issues/710>)
  * Improve code documentation
  * CI: Fix Noble builds
  * Pick with custom max_velocity_scaling_factor during approach+lift
  * Rework pybind11 ABI compatibility checks
  * Remove pybind11 submodule
  * Upgrade pybind11 to v3
  * Modernize declaration of compile options
  * Factor out Python property handling to allow for reuse in custom Python wrappers
  * Fix clamping of joint constraints (#665 <https://github.com/moveit/moveit_task_constructor/issues/665>)
  * Correctly report failures instead of issueing console warnings
  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * Python API: Allow passing a task's introspection object to SolutionBase::toMsg()
  * clang-format-14
  * Add support for GenerateRandomPose
  * python: Add Task::setRobotModel
  * Add path_constraints property to Connect stage
  * provide a fmt wrapper (#615 <https://github.com/moveit/moveit_task_constructor/issues/615>)
  * Update API: JumpThreshold -> CartesianPrecision (#611 <https://github.com/moveit/moveit_task_constructor/issues/611>)
  * Reduce stop time due to preempt (#598 <https://github.com/moveit/moveit_task_constructor/issues/598>)
  * Add unittest for #581 <https://github.com/moveit/moveit_task_constructor/issues/581>
  * Fix early planning preemption (#597 <https://github.com/moveit/moveit_task_constructor/issues/597>)
  * MoveRelative: fix segfault on empty trajectory (#595 <https://github.com/moveit/moveit_task_constructor/issues/595>)
  * MoveRelative: handle equal min/max distance (#593 <https://github.com/moveit/moveit_task_constructor/issues/593>)
  * Cleanup unit tests and allow them to run via both, cmdline and pytest
  * Connect: Relax validity check of reached end state
  * Unify Python demo scripts
  * Switch shebang to python3
  * Silence gcc's overloaded-virtual warnings
  * Add property to enable/disable pruning at runtime (#590 <https://github.com/moveit/moveit_task_constructor/issues/590>)
  * Disable pruning by default
  * test_pruning.cpp: Add new test
  * test_pruning.cpp: Extend test to ParallelContainer
  * PassThrough: cleanup unused headers
  * Avoid segfault if TimeParameterization is not set
  * CartesianPath: allow ik_frame definition if start and end are given as joint-space poses
  * Generalize utils::getRobotTipForFrame() to return error_msg instead of calling markAsFailure() on a solution
  * ComputeIK: Allow additional constraints for filtering solutions (#464 <https://github.com/moveit/moveit_task_constructor/issues/464>)
  * Expose MultiPlanner to Python (#474 <https://github.com/moveit/moveit_task_constructor/issues/474>)
  * Add unittest cartesianCollisionMinMaxDistance (#538 <https://github.com/moveit/moveit_task_constructor/issues/538>)
  * Simplify formatting code with https://github.com/fmtlib (#499 <https://github.com/moveit/moveit_task_constructor/issues/499>)
  * Add NoOp stage (#534 <https://github.com/moveit/moveit_task_constructor/issues/534>)
  * ModifyPlanningScene: check state for collisions
  * Improve TypeError exceptions
  * Drop Melodic support
  * Switch to package py_binding_tools
  * Add ability to move CollisionObjects (#567 <https://github.com/moveit/moveit_task_constructor/issues/567>)
  * Improve description of max_distance property of Connect stage (#564 <https://github.com/moveit/moveit_task_constructor/issues/564>)
  * Add Generator::spawn(from, to, trajectory) variant (#546 <https://github.com/moveit/moveit_task_constructor/issues/546>)
  * Cosmetic fixes
  * Fix Solution::fillMessage() (#432 <https://github.com/moveit/moveit_task_constructor/issues/432>)
  * Fix generation of Solution msg: consider backward operation
  * Propagate errors from planners to solution comment (#525 <https://github.com/moveit/moveit_task_constructor/issues/525>)
  * JointInterpolationPlanner: Check joint bounds (#505 <https://github.com/moveit/moveit_task_constructor/issues/505>)
  * Add property trajectory_execution_info (#355 <https://github.com/moveit/moveit_task_constructor/issues/355>, #502 <https://github.com/moveit/moveit_task_constructor/issues/502>)
  * Clear JointStates in scene diff (#504 <https://github.com/moveit/moveit_task_constructor/issues/504>)
  * Set a non-infinite default timeout in CurrentState stage (#491 <https://github.com/moveit/moveit_task_constructor/issues/491>)
  * Add GenerateRandomPose stage (#166 <https://github.com/moveit/moveit_task_constructor/issues/166>)
  * GenerateGraspPose: Expose rotation_axis as property (#535 <https://github.com/moveit/moveit_task_constructor/issues/535>)
  * Connect: ensure end-state matches goal state (#532 <https://github.com/moveit/moveit_task_constructor/issues/532>)
  * Fix discontinuity in trajectory (#485 <https://github.com/moveit/moveit_task_constructor/issues/485>)
  * Adaptions for https://github.com/ros-planning/moveit/pull/3534
  * Cleanup debug output
  * Fix duplicate solutions
  * printPendingPairs(os) -> os<<pendingPairsPrinter()
  * Fix leaking of failures into enumerated solutions
  * Add more debugging output
  * Unit tests for #485 <https://github.com/moveit/moveit_task_constructor/issues/485>
  * DelayingWrapper stage to delay solution shipping in unit tests
  * Simplify tests

