=== doc/requirements.txt ===
furo
lxml
sphinx
sphinx-copybutton
