=== debian/control ===
Source: ros-one-moveit-task-constructor-core
Section: misc
Priority: optional
Maintainer: Michael Goerner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, python3-setuptools, ros-one-catkin, ros-one-geometry-msgs, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-moveit-ros-planning-interface, ros-one-moveit-task-constructor-msgs, ros-one-py-binding-tools, ros-one-roscpp, ros-one-roslint, ros-one-rviz-marker-tools, ros-one-tf2-eigen, ros-one-visualization-msgs
Homepage: https://github.com/moveit/moveit_task_constructor
Standards-Version: 3.9.2

Package: ros-one-moveit-task-constructor-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, ros-one-geometry-msgs, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-moveit-ros-planning-interface, ros-one-moveit-task-constructor-msgs, ros-one-py-binding-tools, ros-one-roscpp, ros-one-rviz-marker-tools, ros-one-tf2-eigen, ros-one-visualization-msgs
Description: MoveIt Task Pipeline
