## ros-one-moveit-task-constructor-core 0.1.4-3jammy.20251213.2121

=== debian/changelog ===
ros-one-moveit-task-constructor-core (0.1.4-3jammy.20251213.2121) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Goerner <me@v4hn.de>  Sat, 13 Dec 2025 21:21:25 +0000
