## ros-one-moveit-task-constructor-core 0.1.4-3noble.20251213.2126

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	roscpp
 	visualization_msgs
 	rviz_marker_tools
+	pybind11_catkin
 	py_binding_tools
 )
