=== python/bindings/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #catkin_lint: ignore undefined_target
 
 # moveit.task_constructor
-pybind11_add_module(pymoveit_mtc
+pybind_add_module(pymoveit_mtc
 	src/solvers.cpp
 	src/core.cpp
 	src/stages.cpp
