=== debian/changelog ===
ros-one-moveit-task-constructor-core (0.1.4-3noble.20251213.2126) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Goerner <me@v4hn.de>  Sat, 13 Dec 2025 21:26:46 +0000
