## ros-one-moveit-task-constructor-core 0.1.4-4jammy.20251216.0001

=== debian/changelog ===
ros-one-moveit-task-constructor-core (0.1.4-4jammy.20251216.0001) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Goerner <me@v4hn.de>  Tue, 16 Dec 2025 00:01:44 +0000
