## ros-one-moveit-task-constructor-core 0.1.4-4jammy.20260128.2342

=== debian/changelog ===
ros-one-moveit-task-constructor-core (0.1.4-4jammy.20260128.2342) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Goerner <me@v4hn.de>  Wed, 28 Jan 2026 23:42:08 +0000
