## ros-one-moveit-task-constructor-core 0.1.4-4jammy.20260301.2343

=== debian/changelog ===
ros-one-moveit-task-constructor-core (0.1.4-4jammy.20260301.2343) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Goerner <me@v4hn.de>  Sun, 01 Mar 2026 23:43:05 +0000
