## ros-one-moveit-task-constructor-core 0.1.4-4noble.20251216.0000

=== debian/changelog ===
ros-one-moveit-task-constructor-core (0.1.4-4noble.20251216.0000) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Goerner <me@v4hn.de>  Tue, 16 Dec 2025 00:00:10 +0000
