## ros-one-moveit-task-constructor-core 0.1.4-4noble.20260129.0000

=== debian/changelog ===
ros-one-moveit-task-constructor-core (0.1.4-4noble.20260129.0000) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Goerner <me@v4hn.de>  Thu, 29 Jan 2026 00:00:08 +0000
