## ros-one-moveit-task-constructor-core 0.1.4-4noble.20260301.2334

=== debian/changelog ===
ros-one-moveit-task-constructor-core (0.1.4-4noble.20260301.2334) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Goerner <me@v4hn.de>  Sun, 01 Mar 2026 23:34:37 +0000
